Include "param.pro";

p1=newp;    Point(p1) ={Core_cx+0,                   Core_cy-CoreH/2+CoreDxy,     Core_cz-CoreDz/2, Core_lc_gap};
p2=newp;    Point(p2) ={Core_cx+CoreW-Corer-CoreDxy, Core_cy-CoreH/2+CoreDxy,     Core_cz-CoreDz/2, Core_lc};
p3=newp;  Point(p3) ={Core_cx+CoreW-CoreDxy,       Core_cy-CoreH/2+CoreDxy+Corer, Core_cz-CoreDz/2, Core_lc};
p4=newp;  Point(p4) ={Core_cx+CoreW-CoreDxy,        Core_cy+CoreH/2-CoreDxy-Corer, Core_cz-CoreDz/2, Core_lc};
p5=newp;  Point(p5) ={Core_cx+CoreW-Corer-CoreDxy,  Core_cy+CoreH/2-CoreDxy,       Core_cz-CoreDz/2, Core_lc};
p6=newp;  Point(p6) ={Core_cx+0,                    Core_cy+CoreH/2-CoreDxy,       Core_cz-CoreDz/2, Core_lc_gap};
p7=newp;  Point(p7) ={Core_cx+0,                    Core_cy+CoreH/2,               Core_cz-CoreDz/2, Core_lc_gap};
p8=newp;  Point(p8) ={Core_cx+CoreW-CoreR,          Core_cy+CoreH/2,               Core_cz-CoreDz/2, Core_lc};
p9=newp;  Point(p9) ={Core_cx+CoreW,                Core_cy+CoreH/2-CoreR,         Core_cz-CoreDz/2, Core_lc};
p10=newp; Point(p10)={Core_cx+CoreW,               Core_cy-CoreH/2+CoreR,         Core_cz-CoreDz/2, Core_lc};
p11=newp; Point(p11)={Core_cx+CoreW-CoreR,         Core_cy-CoreH/2,               Core_cz-CoreDz/2, Core_lc};
p12=newp; Point(p12)={Core_cx+0,                   Core_cy-CoreH/2,               Core_cz-CoreDz/2, Core_lc_gap};

pc1=newp; Point(pc1) ={Core_cx+CoreW-Corer-CoreDxy, Core_cy-CoreH/2+CoreDxy+Corer, Core_cz-CoreDz/2};
pc2=newp; Point(pc2) ={Core_cx+CoreW-Corer-CoreDxy,  Core_cy+CoreH/2-CoreDxy-Corer, Core_cz-CoreDz/2};
pC1=newp; Point(pC1) ={Core_cx+CoreW-CoreR,         Core_cy-CoreH/2+CoreR,         Core_cz-CoreDz/2};
pC2=newp; Point(pC2) ={Core_cx+CoreW-CoreR,         Core_cy+CoreH/2-CoreR,         Core_cz-CoreDz/2};

l1=newreg;  Line(l1)   ={p1,  p2};
l2=newreg;  Circle(l2) ={p2,  pc1,  p3};
l3=newreg;  Line(l3)   ={p3,  p4};
l4=newreg;  Circle(l4) ={p4,  pc2,  p5};
l5=newreg;  Line(l5)   ={p5,  p6};
l6=newreg;  Line(l6)   ={p6,  p7};
l7=newreg;  Line(l7)   ={p7,  p8};
l8=newreg;  Circle(l8) ={p8,  pC2,  p9};
l9=newreg;  Line(l9)   ={p9,  p10};
l10=newreg; Circle(l10)={p10, pC1,  p11};
l11=newreg; Line(l11)  ={p11, p12};
l12=newreg; Line(l12)  ={p12, p1};

loop1 = newreg; Line Loop(loop1)={l1, l2, l3, l4, l5, l6, l7, l8, l9, l10, l11, l12};
surf1 = newreg; Plane Surface(surf1) = {loop1};

core[] = Extrude{0,0,CoreDz}{Surface{surf1};};

core_volume = core[1];
core_skin[] = Boundary{Volume{core_volume};};

core_surf_loop = newreg;
Surface Loop(core_surf_loop)={core_skin[]};


Printf("Core volume : %g", core_volume);
Printf("Core skin   : %g, %g, %g, %g...", core_skin[0],
                                          core_skin[1], core_skin[2], core_skin[3]); 



